Name:           monit
Version:        5.8.1
Release:        135.1
Summary:        Manages and monitors processes, files, directories and devices

Group:          Applications/Internet
License:        GPLv3+
URL:            http://www.tildeslash.com/monit
Source0:        http://www.tildeslash.com/monit/dist/monit-%{version}.tar.gz
Source1:        monit-sysv-initscript
Source2:        monit.logrotate
Source3:	create_monit_ssl.sh
Source4:	stunnel-check
Source5:	ix-monit.conf
Source7:	monit-logging-conf
Patch0:         monit-default-config-name.patch
Patch1:         monit-no-startup-msg.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  flex
BuildRequires:  openssl-devel
BuildRequires:  pam-devel
BuildRequires:  byacc
BuildRequires:  gcc, make
BuildRequires:  pam-devel
Requires:	make

%description
monit is a utility for managing and monitoring, processes, files, directories
and devices on a UNIX system. Monit conducts automatic maintenance and repair
and can execute meaningful causal actions in error situations.

%prep
%setup -q
%patch0 -b .confname
#%patch1 -b .nomsg

%build
%configure --disable-static --enable-optimized
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

install -p -D -m0755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/monit
install -p -D -m0600 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/monit.conf
install -p -D -m0755 %{SOURCE7} $RPM_BUILD_ROOT%{_sysconfdir}/monit.d/logging.conf
install -p -D -m0755 monit $RPM_BUILD_ROOT%{_bindir}/monit
install -p -D -m0755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/create_monit_ssl

# Log file & logrotate config
install -p -D -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/monit
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/log
install -m0600 /dev/null $RPM_BUILD_ROOT%{_localstatedir}/log/monit

# Let's include some good defaults
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/monit.d


%clean
rm -rf $RPM_BUILD_ROOT

%post
# This adds the proper /etc/rc*.d links for the script
/sbin/chkconfig --add monit

exec > /dev/null 2> /dev/null
if [ ! -f %{_sysconfdir}/pki/tls/certs/monit.pem ] ; then
pushd %{_sysconfdir}/pki/tls/certs
umask 077
cat << EOF | make monit.pem
--
Bavaria
Regensburg
Monit Default Cert
IX Tech
localhost.localdomain
root@localhost.localdomain
EOF
chown root:root monit.pem
chmod 600 monit.pem
popd
fi
exit 0



%preun
if [ $1 = 0 ]; then
        /sbin/service monit stop >/dev/null 2>&1
        /sbin/chkconfig --del monit
fi


%postun
if [ "$1" -ge "1" ]; then
        /sbin/service monit condrestart >/dev/null 2>&1 || :
fi


%files
%defattr(-,root,root,-)
%doc COPYING README 
%config(noreplace) %{_sysconfdir}/monit.conf
%config(noreplace) %{_sysconfdir}/monit.d/logging.conf
#%config(noreplace) %{_sysconfdir}/monit.d/ix-monit.conf
#%config(noreplace) %{_sysconfdir}/monit.ssl/*
%config(noreplace) %{_sysconfdir}/logrotate.d/monit
%ghost %{_localstatedir}/log/monit
%{_sysconfdir}/monit.d/
%{_initrddir}/monit
%{_bindir}/%{name}
%{_bindir}/create_monit_ssl
%{_mandir}/man1/monit.1*

%changelog
